www.cendio.com
Bug 2954 - vsmserver crashes with getpwnam error
: vsmserver crashes with getpwnam error
Status: CLOSED FIXED
: ThinLinc
VSM Server
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-11-03 15:44 by
Modified: 2014-05-09 14:03 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2008-11-03 15:44:18
From Issue6885. Traceback:

2008-11-02 04:06:52 WARNING vsmserver: Timeout getting load from VSM Agent
goodbody.hygiene.sca.se:904, marking as down
2008-11-02 06:17:03 ERROR vsmserver: Unhandled exception: exceptions.KeyError
'getpwnam(): name not found: plholpa' Traceback (most recent call last):
  File "/opt/thinlinc/modules/thinlinc/vsm/async.py", line 112, in iii11
    obj . handle_read_event ( )
  File "/usr/lib/python2.3/asyncore.py", line 390, in handle_read_event
    self.handle_read()
  File "/usr/lib/python2.3/asynchat.py", line 118, in handle_read
    self.found_terminator()
  File "/opt/thinlinc/modules/thinlinc/vsm/xmlrpc.py", line 517, in
found_terminator
    self . handle_request ( )
  File "/opt/thinlinc/modules/thinlinc/vsm/xmlrpc.py", line 531, in
handle_request
    self . handle_method ( )
  File "/opt/thinlinc/modules/thinlinc/vsm/vsmserverchannel.py", line 105, in
handle_method
    self . params )
  File "/opt/thinlinc/modules/thinlinc/vsm/handler_sessionchange.py", line 42,
in handle
    self . handle_new ( )
  File "/opt/thinlinc/modules/thinlinc/vsm/handler_sessionchange.py", line 63,
in handle_new
    HAtransfer = 0 )
  File "/opt/thinlinc/modules/thinlinc/vsm/sessionstore.py", line 354, in
add_session
    new_sessinfo . update ( { 'uid' : pwd . getpwnam ( locale_encode ( username
) ) . pw_uid } )
KeyError: 'getpwnam(): name not found: plholpa'

We need to catch KeyError or something like that.
------- Comment #2 From cendio 2014-03-10 13:05:40 -------
Fixed in cmomit 28577.
------- Comment #3 From cendio 2014-05-09 14:03:55 -------
Verified using build 4349.